class su_ldap::config::logging(
  $ldap_log_dir = '/var/lib/ldap/logs',
) {
  # We put the logs in a special place.
  file { $ldap_log_dir:
    ensure  => directory,
    require => File['/var/lib/ldap'],
  }

  # The LDAP software sends logs to the local4 facility of syslog. We want
  # to use rsyslog to send these local4 syslogs to a file. We assume that
  # the package rsyslog is already installed by another class.
  file { '/etc/rsyslog.d/50-ldap-remote.conf':
    ensure  => present,
    content => template('su_ldap/etc/rsyslog.d/50-ldap-remote.conf.erb'),
    require => Package['rsyslog'],
  }


}
